View a markdown version of this page

ListEvaluationFormAIVersions - Amazon Connect Customer

ListEvaluationFormAIVersions

Lists the available AI versions for evaluation forms in the specified Connect Customer instance.

Request Syntax

GET /instances/InstanceId/evaluation-form-ai-versions?contactInteractionType=ContactInteractionType&maxResults=MaxResults&nextToken=NextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

ContactInteractionType

The contact interaction type for the evaluation form.

Valid Values: AGENT | AUTOMATED | CUSTOMER

Required: Yes

InstanceId

The identifier of the Connect Customer instance. You can find the instance ID in the Amazon Resource Name (ARN) of the instance.

Length Constraints: Minimum length of 1. Maximum length of 100.

Required: Yes

MaxResults

The maximum number of results to return per page.

Valid Range: Minimum value of 1. Maximum value of 100.

NextToken

The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "AIVersionSummaries": [ { "AIVersionLifecycle": { "EndOfLifeTime": number, "StartOfLifeTime": number, "Status": "string" }, "AIVersionName": "string" } ], "NextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

AIVersionSummaries

The list of AI version summaries.

Type: Array of EvaluationFormAIVersionSummary objects

NextToken

If there are additional results, this is the token for the next set of results.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

InternalServiceException

Request processing failed because of an error or failure with the service.

Message

The message.

HTTP Status Code: 500

InvalidParameterException

One or more of the specified parameters are not valid.

Message

The message about the parameters.

HTTP Status Code: 400

ResourceNotFoundException

The specified resource was not found.

Message

The message about the resource.

HTTP Status Code: 404

ThrottlingException

The throttling limit has been exceeded.

HTTP Status Code: 429

Examples

Example

The following example lists the available AI versions for agent evaluation forms.

Sample Request

{ "InstanceId": "12345678-1234-1234-1234-123456789012", "ContactInteractionType": "AGENT" }

Sample Response

{ "AIVersionSummaries": [ { "AIVersionName": "AGENT_EVALUATION_2025-11-12", "AIVersionLifecycle": { "Status": "Active", "StartOfLifeTime": "2025-11-12T00:00:00.000Z" } }, { "AIVersionName": "AGENT_EVALUATION_2025-09-01", "AIVersionLifecycle": { "Status": "Deprecated", "StartOfLifeTime": "2025-09-01T00:00:00.000Z", "EndOfLifeTime": "2025-12-01T00:00:00.000Z" } } ] }

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: